<!DOCTYPE html>
<html>
    <head>
        <style>
            #p1{

                text-align:center;
            }
        </style>
    </head>
    <body>
        <div id=p1><p>lohitha</p>swetha</div>
        <div id=p1><p>surya</p>sharmi</div>
        <ul text-align="center">
            <li>The</li>
            <li>test</li>
          </ul>
          <ul>
            <li>has</li>
            <li>passed</li>
          </ul>
        <!-- <script src="dom.js"> //dom.js is included in this html page-->
        <script>
            //for (let node of document.body.childNodes) 
            //{
            //    alert(node+"</br>"); // shows all nodes from the collection
            //}
            let ulq=document.querySelectorAll('ul')
            console.log(ulq)
            let ulqq=document.querySelector('ul')
            console.log(ulqq)
            console.log(document.body.parentNode) ;//returns object HTMLHtmlElement
            let p1_ele=document.getElementById('p1');
            console.log(p1_ele)
            p1_ele.style.background="red";
            let lis=document.getElementsByTagName('li')
            console.log(lis)

            let elements = document.querySelectorAll('ul > li:last-child');
            console.log(elements)

            //properties
            //innerHTML 
            let x=document.getElementById('p1')
            x.innerHTML='LOHITHA'
            //attributes
            console.log(x.attributes)
            //nodeName
            console.log(x.nodeName)//return div
            //childNodes
            let x1=document.getElementsByTagName('div')[1]
            console.log(x1.childNodes)
            let x2=document.getElementsByTagName('ul')[0]
            console.log(x2.attributes)
        </script>
       <p>lohitha</p>  <!-- in above alert <p> element is doesn't shown because this is not executed at that time  -->
    </body>
</html>